%define oname   Cerealizer

Name:           cerealizer
Version:        0.8.3
Release:        %mkrel 9
Summary:        Python module that allows one to save objects in files
License:        Python license
Group:          Development/Python
Url:            http://www.lesfleursdunormal.fr/static/informatique/cerealizer/index_en.html
Source:         https://pypi.io/packages/source/c/cerealizer/%{oname}-%{version}.tar.gz
Patch0:         cerealizer-0.8.3-fix-StrHandler-class.patch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildArch:      noarch

%description
Python module that allows one to save objects in files.

%package -n     python3-%{name}
Summary:        Python 3 module that allows one to save objects in files
Group:          Development/Python
BuildArch:      noarch

%description -n python3-%{name}
Python 3 module that allows one to save objects in files.

%prep
%setup -q  -n %{oname}-%{version}
%autopatch -p1

# Remove bundled egg-info
rm -rf %{oname}.egg-info

rm -rf `find -name CVS` `find -name .cvswrappers`

%build
%py3_build

%install
%py3_install

%files -n python3-%{name}
%doc README.rst
%{python3_sitelib}/%{name}
%{python3_sitelib}/*.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.8.3-9.mga9
+ Revision: 1822524
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 mrambo3501 <mrambo3501> 0.8.3-8.mga9
+ Revision: 1774247
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 0.8.3-7.mga9
+ Revision: 1707732
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.8.3-6.mga8
+ Revision: 1531662
- Mageia 8 Mass Rebuild

* Sat Sep 14 2019 daviddavid <daviddavid> 0.8.3-5.mga8
+ Revision: 1440759
- rebuild for python3.8
- drop python2 support

* Mon Mar 25 2019 daviddavid <daviddavid> 0.8.3-4.mga7
+ Revision: 1380158
- add patch to fix StrHandler class

* Mon Mar 25 2019 daviddavid <daviddavid> 0.8.3-3.mga7
+ Revision: 1380135
- split out python2 and python3 module of cerealizer

* Fri Jan 11 2019 daviddavid <daviddavid> 0.8.3-2.mga7
+ Revision: 1354686
- rebuild for new Python 3.7

* Fri Jan 04 2019 daviddavid <daviddavid> 0.8.3-1.mga7
+ Revision: 1349032
- new version: 0.8.3
- port to Python3

* Tue Sep 18 2018 umeabot <umeabot> 0.7-12.mga7
+ Revision: 1261328
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.7-11.mga6
+ Revision: 945172
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7-10.mga5
+ Revision: 750155
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.7-9.mga5
+ Revision: 726038
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.7-8.mga5
+ Revision: 678351
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.7-7.mga5
+ Revision: 628129
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.7-6.mga4
+ Revision: 542490
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.7-5.mga4
+ Revision: 497672
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Aug 23 2013 shlomif <shlomif> 0.7-4.mga4
+ Revision: 470342
- Typos
- Imported from Mandriva


* Tue Nov 02 2010 Michael Scherer <misc@mandriva.org> 0.7-4mdv2011.0
+ Revision: 592376
- rebuild for python 2.7

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 0.7-3mdv2010.0
+ Revision: 436990
- rebuild

* Sun Jan 04 2009 Funda Wang <fwang@mandriva.org> 0.7-2mdv2009.1
+ Revision: 324175
- rebuild

* Sat Sep 06 2008 Emmanuel Andry <eandry@mandriva.org> 0.7-1mdv2009.0
+ Revision: 281879
- New version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.6-3mdv2009.0
+ Revision: 243474
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Dec 15 2007 Emmanuel Andry <eandry@mandriva.org> 0.6-1mdv2008.1
+ Revision: 120399
- New version

* Tue Sep 11 2007 Emmanuel Andry <eandry@mandriva.org> 0.5-2mdv2008.0
+ Revision: 84538
- rebuild


* Sat Dec 16 2006 Olivier Blin <oblin@mandriva.com> 0.5-1mdv2007.0
+ Revision: 98150
- 0.5 (with register_alias support, #24821)

* Fri Dec 15 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.4-3mdv2007.1
+ Revision: 97486
- Fix File list
- Fix File list
- Rebuild against new python
- Import cerealizer

* Tue Jul 11 2006 Lenny Cartier <lenny@mandriva.com> 0.4-1mdv2007.0
- new

